=== debian/changelog ===
ismrmrd (1.3.3-1build2) bionic; urgency=medium

  * No-change rebuild for boost soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Oct 2017 17:16:56 +0000

ismrmrd (1.3.3-1build1) zesty; urgency=medium

  * Rebuild against new hdf5

 -- Iain Lane <iain@orangesquash.org.uk>  Tue, 29 Nov 2016 17:34:29 +0000

ismrmrd (1.3.3-1) unstable; urgency=medium

  * New upstream version 1.3.3
  * Update patch queue.
    - Drop Explicit-64-bit-shifts-for-flags.patch, applied upstream.
    - Refresh Fix-HDF5-detection-with-CMake-3.6.patch.
    - Refresh Use-Debian-CMake-find-module-location.patch.
    - Drop hdf5-1.10.patch, applied upstream.
  * Fix usability of ISMRMRD CMake packaging.
    - New patch Fix-CMake-package-configuration.patch.
    - New patch Fix-CMake-package-detection.patch.
    - Drop Use-Debian-CMake-find-module-location.patch, no longer required.
    - Install CMake configuration to -dev package.
  * Upgrade packaging to debhelper 10.
  * Drop superfluous Testsuite field.
  * Simplify the packaging testsuite.
  * Enable multiarch installation of binaries.
    - New patch Add-support-for-multiarch.patch.
    - Update install paths of lib and dev packages.
    - Add Multi-Arch fields to all binary packages.
  * Keep doxygen generated instance of jQuery.
  * Miscellaneous changes to control file:
    - Replace build dependency on libhdf5-serial-dev with libhdf5-dev.
    - Add missing install dependency on libhdf5-dev for the -dev package.
  * Miscellaneous changes to rules file:
    - Disable verbosity by default.
    - Reformat content of dh_auto_build override.

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sat, 26 Nov 2016 11:45:27 +0000

ismrmrd (1.3.2-4.1) unstable; urgency=medium

  * Non-maintainer upload
  * New patch to support HDF5 1.10 (closes: #841959)

 -- Gilles Filippini <pini@debian.org>  Sun, 30 Oct 2016 17:54:19 +0100
