=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/ismrmrd-$1\.tar\.gz/ \
  https://github.com/ismrmrd/ismrmrd/tags .*/v?(\d\S*)\.tar\.gz
