=== debian/changelog ===
ismrmrd (1.4.0-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:37:02 +0000

ismrmrd (1.4.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * debhelper 12
  * Standards-Version: 4.3.0

 -- Andreas Tille <tille@debian.org>  Sat, 26 Jan 2019 08:23:41 +0100

ismrmrd (1.3.3-3) unstable; urgency=medium

  * Team upload.
  * Fix dir in autopkgtest
    Closes: #904110

 -- Andreas Tille <tille@debian.org>  Fri, 20 Jul 2018 06:01:08 +0200

ismrmrd (1.3.3-2) unstable; urgency=medium

  * Team upload.
  * debhelper 11 (adapt doc-base file to new location of docs)
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Wed, 18 Jul 2018 09:30:27 +0200
