=== debian/control ===
--- 
+++ 
@@ -1,19 +1,20 @@
 Source: ismrmrd
-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: science
 Priority: optional
 Build-Depends: cmake,
-               debhelper (>= 10),
+               debhelper (>= 12~),
                libboost-program-options-dev,
                libboost-test-dev,
                libfftw3-dev,
                libhdf5-dev,
                libpugixml-dev
 Build-Depends-Indep: doxygen
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/ismrmrd.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/ismrmrd.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/ismrmrd
+Vcs-Git: https://salsa.debian.org/med-team/ismrmrd.git
 Homepage: http://ismrmrd.github.io/
 
 Package: libismrmrd1.3
