## ismrmrd 1.4.2.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-cmake_minimum_required(VERSION 2.8)
+cmake_minimum_required(VERSION 2.8.12)
 foreach(p
     CMP0025 # CMake 3.0 Compiler id for Apple Clang is now ``AppleClang``.
     CMP0042 # CMake 3.0 ``MACOSX_RPATH`` is enabled by default.
@@ -19,14 +19,14 @@
 
 # command line options
 option(USE_SYSTEM_PUGIXML "Use pugixml installed on the system" OFF)
+option(USE_HDF5_DATASET_SUPPORT "Compile with support for reading and writing datasets to HDF5 files" ON)
+option(BUILD_TESTS "Build unit tests " ON)
+option(BUILD_UTILITIES "Build utilities tests " ON)
+option(BUILD_EXAMPLES "Build examples tests " ON)
 
 # and include it to the search list
 list(APPEND CMAKE_MODULE_PATH ${ISMRMRD_CMAKE_DIR})
 
-# whether to install dependencies
-if (WIN32)
-    option(ISMRMRD_INSTALL_DEPENDENCIES "Install ismrmrd dependencies in windows" Off)
-endif ()
 
 # set the build type to Release if not specified
 if(NOT CMAKE_BUILD_TYPE)
@@ -64,7 +64,7 @@
 # For more information see http://semver.org/
 set(ISMRMRD_VERSION_MAJOR 1)
 set(ISMRMRD_VERSION_MINOR 4)
-set(ISMRMRD_VERSION_PATCH 0)
+set(ISMRMRD_VERSION_PATCH 2)
 set(ISMRMRD_VERSION_STRING ${ISMRMRD_VERSION_MAJOR}.${ISMRMRD_VERSION_MINOR}.${ISMRMRD_VERSION_PATCH})
 set(ISMRMRD_SOVERSION ${ISMRMRD_VERSION_MAJOR}.${ISMRMRD_VERSION_MINOR})
 
@@ -106,18 +106,27 @@
 
 
 # Find HDF5 for dataset support
-find_package(HDF5 COMPONENTS C)
-
-if (HDF5_FOUND)
-    set (ISMRMRD_DATASET_SUPPORT true)
-    set (ISMRMRD_DATASET_SOURCES libsrc/dataset.c libsrc/dataset.cpp)
-    set (ISMRMRD_DATASET_INCLUDE_DIR ${HDF5_INCLUDE_DIRS})
-    set (ISMRMRD_DATASET_LIBRARIES ${HDF5_LIBRARIES})
+
+
+if (USE_HDF5_DATASET_SUPPORT)
+    if (VCPKG_TARGET_TRIPLET) #VCPKG HDF5 is packaged differently.
+        find_package(HDF5 CONFIG COMPONENTS C shared REQUIRED)
+        set(HDF5_C_LIBRARIES hdf5::hdf5-shared)
+    else ()
+        find_package(HDF5 COMPONENTS C REQUIRED)
+    endif ()
+    set(ISMRMRD_DATASET_SUPPORT true)
+    set(ISMRMRD_DATASET_SOURCES libsrc/dataset.c libsrc/dataset.cpp)
+    set(ISMRMRD_DATASET_INCLUDE_DIR ${HDF5_INCLUDE_DIRS})
+    set(ISMRMRD_DATASET_LIBRARIES ${HDF5_C_LIBRARIES})
     add_definitions(${HDF5_DEFINITIONS})
-	include_directories(${HDF5_INCLUDE_DIRS})
+    include_directories(${HDF5_INCLUDE_DIRS})
+    message("HDF5 found at: ${HDF5_INCLUDE_DIR}")
+    message("HDF5 found at: ${HDF5_C_LIBRARIES}")
+
 else ()
-    set (ISMRMRD_DATASET_SUPPORT false)
-    message (WARNING "HDF5 not found. Dataset and file support unavailable!")
+    set(ISMRMRD_DATASET_SUPPORT false)
+    message(WARNING " Dataset and file support unavailable!")
 endif ()
 
 # Generate the version.h header file
@@ -144,15 +153,6 @@
 
 #  ---   Main Library  (begin) ----
 # in windows, install the HDF5 dependencies
-if (HDF5_FOUND AND WIN32 AND ISMRMRD_INSTALL_DEPENDENCIES)
-    if(DEFINED ENV{HDF5_ROOT})
-        set(HDF5_BIN_DIR $ENV{HDF5_ROOT}/bin)
-    else ()
-        set(HDF5_BIN_DIR ${HDF5_C_INCLUDE_DIR}/../bin)
-    endif ()
-    message("Install hdf5 libraries from ${HDF5_BIN_DIR} ")
-    install( DIRECTORY ${HDF5_BIN_DIR} DESTINATION bin/.. FILES_MATCHING PATTERN "*.dll" )
-endif ()
 
 # include directories for main library
 set(ISMRMRD_TARGET_INCLUDE_DIRS
@@ -174,30 +174,38 @@
 set(ISMRMRD_TARGET_LINK_LIBS ${ISMRMRD_DATASET_LIBRARIES})
 
 # optional handling of system-installed pugixml
-if(USE_SYSTEM_PUGIXML)
-  find_package(PugiXML)
-  if(PugiXML_FOUND)
-    message("Found system pugixml: ${PugiXML_INCLUDE_DIR} ${PugiXML_LIBRARY}")
-    list(APPEND ISMRMRD_TARGET_INCLUDE_DIRS ${PugiXML_INCLUDE_DIR})
-    list(APPEND ISMRMRD_TARGET_LINK_LIBS ${PugiXML_LIBRARY})
-  else()
-    message(FATAL_ERROR "Pugixml library not found on the system, try without "
-    "setting USE_SYSTEM_PUGIXML to use the version provided in the source "
-    "tree.")
-  endif()
-  list(APPEND ISMRMRD_TARGET_INCLUDE_DIRS ${PugiXML_INCLUDE_DIR})
-  list(APPEND ISMRMRD_TARGET_LINK_LIBS ${PugiXML_LIBRARY})
-else()
-  list(APPEND ISMRMRD_TARGET_SOURCES libsrc/pugixml.cpp)
-endif()
+if (USE_SYSTEM_PUGIXML)
+
+    if (VCPKG_TARGET_TRIPLET) #VCPKG .
+        find_package(PugiXML CONFIG REQUIRED)
+        list(APPEND ISMRMRD_TARGET_LINK_LIBS pugixml)
+    else ()
+        find_package(PugiXML REQUIRED)
+
+        message("Found system pugixml: ${PugiXML_INCLUDE_DIR} ${PugiXML_LIBRARY}")
+        list(APPEND ISMRMRD_TARGET_INCLUDE_DIRS ${PugiXML_INCLUDE_DIR})
+        list(APPEND ISMRMRD_TARGET_LINK_LIBS ${PugiXML_LIBRARY})
+        list(APPEND ISMRMRD_TARGET_INCLUDE_DIRS ${PugiXML_INCLUDE_DIR})
+        list(APPEND ISMRMRD_TARGET_LINK_LIBS ${PugiXML_LIBRARY})
+    endif ()
+else ()
+    list(APPEND ISMRMRD_TARGET_SOURCES libsrc/pugixml.cpp)
+endif ()
 
 # main library
 include_directories(${ISMRMRD_TARGET_INCLUDE_DIRS})
 add_library(ismrmrd SHARED ${ISMRMRD_TARGET_SOURCES})
+add_library(ismrmrd::ismrmrd ALIAS ismrmrd)
 set_target_properties(ismrmrd PROPERTIES
   VERSION ${ISMRMRD_VERSION_STRING}
   SOVERSION ${ISMRMRD_SOVERSION}
 )
+
+set_target_properties(ismrmrd
+  PROPERTIES
+  EXPORT_NAME ISMRMRD
+  INTERFACE_INCLUDE_DIRECTORIES $<INSTALL_INTERFACE:include>)
+
 target_link_libraries(ismrmrd ${ISMRMRD_TARGET_LINK_LIBS})
 list(APPEND ISMRMRD_LIBRARIES ismrmrd) # Add to list of libraries to be found
 list(APPEND ISMRMRD_LIBRARY_DIRS ${CMAKE_BINARY_DIR} ) # Add to list of directories to find libraries
@@ -224,13 +232,17 @@
 # process subdirectories
 add_subdirectory(doc)
 
-add_subdirectory(utilities)
-if (HDF5_FOUND)
+if (BUILD_UTILITIES)
+  add_subdirectory(utilities)
+endif()
+
+
+if (HDF5_FOUND AND BUILD_EXAMPLES)
     add_subdirectory(examples/c)
 endif ()
 
 # TODO: make this work on Windows
-if (NOT WIN32)
+if (BUILD_TESTS)
     add_subdirectory(tests)
 endif ()
 
@@ -239,17 +251,9 @@
 
 #--- Create cmake package for downstream projects
 #
-##- include(CMakePackageConfigHelpers)
-##- write_basic_package_version_file(
-##-   "${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDConfigVersion.cmake"
-##-   VERSION ${ISMRMRD_VERSION_STRING}
-##-   COMPATIBILITY AnyNewerVersion
-##- )
-
-##- export(EXPORT ISMRMRDTargets
-##-  FILE "${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDTargets.cmake"
-##-  NAMESPACE ISMRMRD
-##-)
+
+include(CMakePackageConfigHelpers)
+set(INSTALL_CONFIGDIR lib/cmake/ISMRMRD)
 
 set(CONFIG_ISMRMRD_SCHEMA_DIR   ${ISMRMRD_SCHEMA_DIR})
 set(CONFIG_ISMRMRD_TARGET_INCLUDE_DIRS ${ISMRMRD_TARGET_INCLUDE_DIRS})
@@ -264,34 +268,47 @@
 set(CONFIG_ISMRMRD_LIBRARY_DIRS ${CMAKE_INSTALL_PREFIX}/lib)
 if (ISMRMRD_DATASET_SUPPORT)
   list(APPEND CONFIG_ISMRMRD_TARGET_INCLUDE_DIRS ${HDF5_INCLUDE_DIRS})
-  list(APPEND CONFIG_ISMRMRD_LIBRARY_DIRS ${HDF5_LIBRARY_DIRS})
-  list(APPEND ISMRMRD_LIBRARIES ${HDF5_LIBRARIES})
-endif ()
-configure_file(cmake/ISMRMRDConfig.cmake.in
+endif ()
+
+configure_package_config_file(cmake/ISMRMRDConfig.cmake.in
   "${CMAKE_CURRENT_BINARY_DIR}/InstallFiles/ISMRMRDConfig.cmake"
-  @ONLY
-)
-
-set(ConfigPackageLocation lib/cmake/ISMRMRD)
-install(
-  FILES
-    "${CMAKE_CURRENT_BINARY_DIR}/InstallFiles/ISMRMRDConfig.cmake"
-#--    "${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDConfigVersion.cmake"
-  DESTINATION
-    ${ConfigPackageLocation}
-  COMPONENT
-    Devel
-)
-
-install(
-  FILES
-    cmake/FindFFTW3.cmake
-  DESTINATION
-    ${ConfigPackageLocation}
-  COMPONENT
-    Devel
-)
-  
+  INSTALL_DESTINATION ${INSTALL_CONFIGDIR})
+
+write_basic_package_version_file(
+  "${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDConfigVersion.cmake"
+  VERSION ${ISMRMRD_VERSION_STRING}
+  COMPATIBILITY SameMajorVersion
+  )
+
+# Write a CMake file with all the targets information
+# (not for installing, but for external project to import targets from the
+#  current build tree)
+if(CMAKE_VERSION VERSION_LESS 3.0)
+  export(TARGETS ismrmrd
+    FILE ${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDTargets.cmake
+    NAMESPACE ISMRMRD::
+    )
+else()
+  export(EXPORT ISMRMRDTargets
+    FILE ${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDTargets.cmake
+    NAMESPACE ISMRMRD::
+    )
+endif()
+
+install(EXPORT ISMRMRDTargets
+  FILE ISMRMRDTargets.cmake
+  NAMESPACE ISMRMRD::
+  DESTINATION ${INSTALL_CONFIGDIR}
+  )
+
+install(FILES
+  "${CMAKE_CURRENT_BINARY_DIR}/ISMRMRDConfigVersion.cmake"
+  "${CMAKE_CURRENT_BINARY_DIR}/InstallFiles/ISMRMRDConfig.cmake"
+  DESTINATION ${INSTALL_CONFIGDIR}
+  COMPONENT Devel)
+
+export(PACKAGE ISMRMRD)
+ 
 # Create package
 string(TOLOWER ${PROJECT_NAME} PROJECT_NAME_LOWER)
 include(${ISMRMRD_CMAKE_DIR}/ismrmrd_cpack.cmake)
