=== utilities/CMakeLists.txt ===
--- 
+++ 
@@ -40,31 +40,21 @@
         add_executable(ismrmrd_generate_cartesian_shepp_logan
             generate_cartesian_shepp_logan.cpp
             ismrmrd_phantom.cpp)
-        if(WIN32)
-            target_link_libraries( ismrmrd_generate_cartesian_shepp_logan
-                ismrmrd
-                ${FFTW3_LIBRARIES})
-        else()
-            target_link_libraries( ismrmrd_generate_cartesian_shepp_logan
-                ismrmrd
-                ${Boost_PROGRAM_OPTIONS_LIBRARY}
-                ${FFTW3_LIBRARIES})
-        endif()
+        target_link_libraries( ismrmrd_generate_cartesian_shepp_logan
+            ismrmrd
+            ${Boost_PROGRAM_OPTIONS_LIBRARY}
+            ${FFTW3_LIBRARIES})
+        
         install(TARGETS ismrmrd_generate_cartesian_shepp_logan DESTINATION bin)
 
         # Shepp-Logan phantom
         add_executable(ismrmrd_recon_cartesian_2d
             recon_cartesian_2d.cpp)
-        if(WIN32)
-            target_link_libraries( ismrmrd_recon_cartesian_2d
-                ismrmrd
-                ${FFTW3_LIBRARIES})
-        else()
-            target_link_libraries( ismrmrd_recon_cartesian_2d
-                ismrmrd
-                ${Boost_PROGRAM_OPTIONS_LIBRARY}
-                ${FFTW3_LIBRARIES})
-        endif()
+		target_link_libraries( ismrmrd_recon_cartesian_2d
+            ismrmrd
+            ${Boost_PROGRAM_OPTIONS_LIBRARY}
+            ${FFTW3_LIBRARIES})
+
         install(TARGETS ismrmrd_recon_cartesian_2d DESTINATION bin)
 
     else()
