=== debian/changelog ===
ismrmrd (1.4.2.1-6) unstable; urgency=medium

  * Team upload.
  * debian/patches/167.patch:
    - cherry-pick upstream proposed fix for typo in variable name in cmake
      file making autopkgtest regress with new pugixml 1.11.3

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Dec 2020 15:43:09 +0100

ismrmrd (1.4.2.1-5) unstable; urgency=medium

  * Runtime-depend on libpugixml-dev to fix autopkgtest failure (Closes:
    #974570)
  * Fix arch-all build for real (Closes: #973939).

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 12 Nov 2020 13:09:11 +0100

ismrmrd (1.4.2.1-4) unstable; urgency=medium

  * Team upload.
  * Really fix binary-all FTBFS
    Closes: #973939

 -- Andreas Tille <tille@debian.org>  Thu, 12 Nov 2020 09:40:14 +0100

ismrmrd (1.4.2.1-3) unstable; urgency=medium

  * Team upload.
  * Add missing Breaks+Replaces: libismrmrd1.3 (>= 1.4)
    Closes: #973938, #974045
  * Fix binary-all FTBFS
    Closes: #973939

 -- Andreas Tille <tille@debian.org>  Wed, 11 Nov 2020 11:02:18 +0100

ismrmrd (1.4.2.1-2) unstable; urgency=medium

  * Team upload.
  * Source-only-upload
  * Rename tag

 -- Nilesh Patra <npatra974@gmail.com>  Sat, 07 Nov 2020 22:49:12 +0530

ismrmrd (1.4.2.1-1) unstable; urgency=medium

  [ Nilesh Patra ]
  * Team Upload.
  * New upstream version 1.4.2.1
  * Fix install dirs
  * Don't install useless files
  * Refresh patches
  * Remove travis build status
  * Standards-Version: 4.5.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Remove trailing whitespace in debian/changelog (routine-update)
  * Remove trailing whitespace in debian/control (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Andreas Tille ]
  * Add static library
  * Use d-shlibs

 -- Nilesh Patra <npatra974@gmail.com>  Sun, 20 Sep 2020 02:35:46 +0530
