=== debian/rules ===
--- 
+++ 
@@ -19,9 +19,26 @@
 override_dh_auto_build-indep:
 	dh_auto_build -- apidoc
 
+override_dh_install-arch:
+	find debian/tmp -name ismrmrd.xsd -delete
+	dh_install -a
+	d-shlibmove --commit \
+		    --multiarch \
+		    --devunversioned \
+		    --exclude-la \
+		    debian/tmp/usr/lib/*/*.so
+	find debian -name "lib*.la" -delete
+
+override_dh_auto_install-indep:
+	echo "No need to do install for architecture indep packages"
+
 override_dh_auto_installdocs-indep:
 	dh_installdocs --indep
 	dh_doxygen --indep
 
 override_dh_compress:
 	dh_compress --exclude=examples
+
+override_dh_missing-arch:
+	find debian/tmp -type f  \( -name '*.m' -o -name 'ismrmrd_c_example' \) -delete
+	dh_missing -a
